XISUITEDokumentation

Space Types

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List space types for the organization#

GET/space-typesToken

Parameter

NameOrtTypBeschreibung
is_activeQuerystring–
is_deletedQuerystring–
searchQuerystring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/space-types" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a space type#

POST/space-typesToken

Request-Bodyapplication/jsonCreateSpaceTypeDto

NameTypBeschreibung
namePflichtstring

Space type name

descriptionobject

Description

iconobject

Icon identifier

colorstring

Hex color e.g. #6B7280

sort_ordernumber

Sort order

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/space-types" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…"}'

Get a space type by ID#

GET/space-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a space type#

PUT/space-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonUpdateSpaceTypeDto

NameTypBeschreibung
namestring–
descriptionobject–
iconobject–
colorstring–
sort_ordernumber–
is_activeboolean–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","description":{},"icon":{}}'

Actions: restore | toggle_active#

PATCH/space-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Request-Bodyapplication/jsonPatchSpaceTypeDto

NameTypBeschreibung
actionPflichtstring

Werte: restoretoggle_active

Antworten

  • 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"action":"restore"}'

Soft-delete a space type#

DELETE/space-types/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions